Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 24

Thread: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

  1. #11
    Join Date
    Jan 2008
    Location
    Augusta, GA
    Beans
    15
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

    Quote Originally Posted by seffyroff View Post
    I found someone else who had backported the Intrepid package on his own repository here:

    https://launchpad.net/~clazzes.org/+archive

    Add that repo to your /etc/apt/sources.list then apt-get install subversion works
    Exactly what I was looking for!

  2. #12
    Join Date
    Aug 2008
    Beans
    3
    Distro
    Ubuntu 10.04 Lucid Lynx

    Wink Re: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

    Quote Originally Posted by tinny View Post
    Sorry for trying to help.... > exit
    Harsh-mellows... everyone needs to chill for a minute. That being said, here's a strong use-case for Subversion 1.5: Eclipse support for SVN is provided by a plugin called Subclipse. The current version of Subclipse requires Subversion 1.5.

  3. #13
    Join Date
    Aug 2006
    Beans
    19

    Re: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

    Quote Originally Posted by seffyroff View Post
    I found someone else who had backported the Intrepid package on his own repository here:

    https://launchpad.net/~clazzes.org/+archive

    Add that repo to your /etc/apt/sources.list then apt-get install subversion works
    Hi,

    I added this 2 lines in my /etc/apt/sources.list
    deb http://ppa.launchpad.net/clazzes.org/ubuntu gutsy main
    deb-src http://ppa.launchpad.net/clazzes.org/ubuntu gutsy main


    then, aptitude update && aptitude install subversion
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    Building tag database... Done
    No packages will be installed, upgraded, or removed.
    0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 0B of archives. After unpacking 0B will be used.
    Writing extended state information... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    Building tag database... Done


    How force it to install subversion 1.5? It will also update my SVN Apache module?

    Thanks by advance

  4. #14
    Join Date
    Aug 2008
    Beans
    1

    Re: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

    Added to my apt repo sources list:

    Code:
    deb http://ppa.launchpad.net/clazzes.org/ubuntu gutsy main
    And did:

    Code:
    apt-get update
    
    apt-get dist-upgrade
    Confirm that you want to use the unsigned/trusted packages for subversion/svn

    Tada, 1.5 successfully installed.

    Note:
    It wouldn't install the 1.5 subversion when I tried just doing an apt-get update subversion.
    Last edited by robadob; August 15th, 2008 at 03:23 PM. Reason: Adding footnote

  5. #15
    Join Date
    Aug 2006
    Beans
    19

    Re: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

    Allright, I will try this

    Thanks you

  6. #16
    Join Date
    Aug 2008
    Beans
    2

    Re: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

    Many thanks to clazzes.org. The backport worked here on Ubuntu 64, Hardy Heron.

    To summarize and update the instructions for installing subversion svn 1.5 on Ubuntu Hardy Heron 64-bit:


    Add to the end of /etc/apt/sources.list:


    sudo apt-get update
    sudo apt-get dist-upgrade


    Confirm that you want to use the unsigned/trusted packages for subversion/svn.


    If you are using a WinDOS "file:///" repository to store the working copy, cd to the working copy's directory and, for example:

    svn switch --relocate file:///X:/subversion_repositories/this_project file:///home/me/linux_path_to_X_colon/subversion_repositories/this_project

    (That's all on one command line.)

    To update or commit (or whatever) the same working copy under WinDOS you will need to "svn switch" the working copy's (.svn/entries) repository URL back to the WinDOS path.

    Which is all by way of answering the earlier question in this thread of "Why go to svn 1.5?" Answer: Because the working copy is being managed with TortoiseSVN, which is currently at 1.5.

  7. #17
    Join Date
    Jan 2008
    Beans
    11

    Re: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

    Just wanted to report the clazzes.org repository worked for me as well, I got SVN 1.5 up and running in Hardy Server 64-bit.

  8. #18
    Join Date
    Jun 2006
    Location
    Nashville, TN
    Beans
    23
    Distro
    Ubuntu 7.10 Gutsy Gibbon

    Re: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

    clazzes.org worked great on Hardy 32-bit...yea subversion 1.5

  9. #19
    Join Date
    Nov 2007
    Location
    New Zealand
    Beans
    1,026
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

    Subversion 1.5 is now available in the hardy backports repository.

    http://packages.ubuntu.com/hardy-backports/subversion

  10. #20
    Join Date
    Jul 2007
    Location
    Edinburgh, Scotland
    Beans
    12
    Distro
    Ubuntu 7.04 Feisty Fawn

    Re: Subversion 1.5 into Ubuntu 8.04 Doesn't Go.

    As a backports newbie, I was a bit lost at first, but got this working finally by:

    1. enabling hardy-backports in /etc/apt/sources.list

    2. pinning backports to a lower priority of 400 by writing the following in /etc/apt/preferences

    Code:
    Package: *
    Pin: release a=hardy-backports
    Pin-Priority: 400
    3. install subversion 1.5

    Code:
    sudo apt-get -t hardy-backports install subversion
    The -t is the key, it temporarily boosts the priority of backports repository so that apt looks there first for this particular installation.

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •